const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dailyLimit: 350})
};
fetch('https://api.gnosispay.com/api/v1/safe/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/safe/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dailyLimit": 350
}
'import requests
url = "https://api.gnosispay.com/api/v1/safe/deploy"
payload = { "dailyLimit": 350 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/safe/deploy"
payload := strings.NewReader("{\n \"dailyLimit\": 350\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/safe/deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dailyLimit\": 350\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/safe/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dailyLimit\": 350\n}"
response = http.request(request)
puts response.read_body{
"status": "accepted"
}Deploy and Setup a Safe
Deploys and sets up the Safe account for the authenticated user. The User needs to be KYC approved.
This endpoint replaces the POST /api/v1/account and related endpoints.
Using this endpoint, the user can deploy the Safe without having to sign the data.
This endpoint is idempotent: calling it again while a deployment is
already in flight for the same user will return 202 without starting
a new workflow. Use GET /api/v1/safe/deploy as the source of truth
for deployment status (processing, ok, failed, not_deployed).
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dailyLimit: 350})
};
fetch('https://api.gnosispay.com/api/v1/safe/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/safe/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dailyLimit": 350
}
'import requests
url = "https://api.gnosispay.com/api/v1/safe/deploy"
payload = { "dailyLimit": 350 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/safe/deploy"
payload := strings.NewReader("{\n \"dailyLimit\": 350\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/safe/deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dailyLimit\": 350\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/safe/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dailyLimit\": 350\n}"
response = http.request(request)
puts response.read_body{
"status": "accepted"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The daily spending allowance to configure for the Safe, in whole token units (no decimals). Defaults to 350 if omitted.
x >= 1350
Response
Accepted the deployment request. The partner should check the status of the deployment with the GET /api/v1/safe/deploy endpoint.
The status of the deployment.
"accepted"